> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available checks with filtering

> Get available checks with flexible filtering options



## OpenAPI

````yaml api-reference/openapi.yaml get /checks
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /checks:
    get:
      summary: Get available checks with filtering
      description: Get available checks with flexible filtering options
      parameters:
        - name: check_type
          in: query
          schema:
            type: string
            enum:
              - kyb
              - kyc
              - entity
          description: Optional filter for check type
        - name: check_id
          in: query
          schema:
            type: string
          description: Optional specific check ID to retrieve
      responses:
        '200':
          description: Checks retrieved successfully
        '404':
          description: Check not found
        '500':
          description: Internal server error
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````